Mail archive
alpine-aports

[alpine-aports] [PATCH] main/openvpn: upgrade to 2.3.8

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Tue, 15 Sep 2015 16:01:38 +0200

---
 main/openvpn/APKBUILD    | 16 ++++++----------
 testing/chicken/APKBUILD |  2 ++
 testing/iotop/APKBUILD   |  8 ++++----
 3 files changed, 12 insertions(+), 14 deletions(-)
diff --git a/main/openvpn/APKBUILD b/main/openvpn/APKBUILD
index 0780f81..c8528e1 100644
--- a/main/openvpn/APKBUILD
+++ b/main/openvpn/APKBUILD
_at_@ -1,6 +1,6 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=openvpn
-pkgver=2.3.7
+pkgver=2.3.8
 pkgrel=0
 pkgdesc="A robust, and highly configurable VPN (Virtual Private Network)"
 url="http://openvpn.sourceforge.net/"
_at_@ -18,7 +18,6 @@ source="http://swupdate.openvpn.net/community/releases/$pkgname-$pkgver.tar.gz
 	"
 
 _builddir="$srcdir"/$pkgname-$pkgver
-
 prepare() {
 	local i
 	cd "$_builddir"
_at_@ -29,7 +28,7 @@ prepare() {
 	done
 }
 
-build() { 
+build() {
 	cd "$_builddir"
 	./configure \
 		--build=$CBUILD \
_at_@ -44,14 +43,11 @@ build() {
 		|| return 1
 
 	make || return 1
-	cd plugin/down-root
-	make || return 1
-	cd ../..
+	make -C "$_builddir"/src/plugins/down-root || return 1
 }
 
 package() {
 	cd "$_builddir"
-
 	make DESTDIR="$pkgdir" install || return 1
 
 	# install samples
_at_@ -77,17 +73,17 @@ pam() {
 		"$subpkgdir"/usr/lib/openvpn/plugins/
 }
 
-md5sums="070bca95e478f88dff9ec6a221e2c3f7  openvpn-2.3.7.tar.gz
+md5sums="51d996f1f1fc30f501ae251a254effeb  openvpn-2.3.8.tar.gz
 6587953f1ac10cf9261041b7527a6b55  openvpn.initd
 9eca88cac6294027ec1bb7be74185c3a  openvpn.confd
 dc72fecd1a1bcef937603057cd6574b1  openvpn.up
 dc3ff0bae442b9aedd947b8ffda1687a  openvpn.down"
-sha256sums="1f02a4cd6aeb6250ca9311560875b10ce8957a3c9101a8005bd1e17e5b03146e  openvpn-2.3.7.tar.gz
+sha256sums="532435eff61c14b44a583f27b72f93e7864e96c95fe51134ec0ad4b1b1107c51  openvpn-2.3.8.tar.gz
 ab7291aaf161020fb4c27a6f24ef0346c66d86f92d29cbd31723cc305502c247  openvpn.initd
 330149a83684ddabe413d134d4c8efad4c88b18c2ab67165014deff5f7fffad2  openvpn.confd
 848da0929c37b2112769232fbbdf61961b6107c6726d4b74d1ceb034b39ad5dd  openvpn.up
 39debebcd8c899f20e6d355cbc8eaab46e28b83a9f6c33a94c065688a4f3d2c7  openvpn.down"
-sha512sums="35030eb432568e954d7d9543565c3c7d1268ff323e1a2da81047c497f3eeb6f4061d9cfc360aa98fe7c413282ee6d0eb70957d6d4a38d928348c706f20cb66df  openvpn-2.3.7.tar.gz
+sha512sums="b619283d87eea2e47a2f0dfdbf0ffd1d10388fbdaadb33b43c7a2743748a4814f869fad6215d32fab156664d554ae94af456e7bf496890c68e6729b153d76db9  openvpn-2.3.8.tar.gz
 7c7ca6c55a9d0b17bd0e525e2fa5b02895f9ee9cc7fa6be7d540a1a95ab1c5e36f7756b69f42e17b98cf15d94ce80c4315e567121d948be1a826e77dfcf66ff0  openvpn.initd
 982ade883afbe2e656a9cbbe36c31c0e8b4f7bbbe5b63df9f7b834f02a9153032fb7445c85d3e91f62c68a7ddd13c3afbf420fb71cdd13d9c4b69f867bdd9f37  openvpn.confd
 f904d6125ed1ddb48ea632c3b290a7a4a7a7436be0d46b323fc8c92f919f9d076fdc78ff7bed0dd65675f0bc3559e531e372b805fc11ef287efeeb4d54fe52f4  openvpn.up
diff --git a/testing/chicken/APKBUILD b/testing/chicken/APKBUILD
index b4fcaaa..4a70fe0 100644
--- a/testing/chicken/APKBUILD
+++ b/testing/chicken/APKBUILD
_at_@ -14,7 +14,9 @@ install=""
 subpackages="$pkgname-doc $pkgname-libs $pkgname-dev"
 source="http://code.call-cc.org/releases/$pkgver/$pkgname-$pkgver.tar.gz"
 
+_staticdir="$srcdir"/$pkgname-$pkgver-static
 _builddir="$srcdir"/$pkgname-$pkgver
+
 build() {
 	# chicken does not support parallel builds.
 	make -j1 PLATFORM=linux PREFIX=/usr \
diff --git a/testing/iotop/APKBUILD b/testing/iotop/APKBUILD
index e96e0bc..5e2e3f2 100644
--- a/testing/iotop/APKBUILD
+++ b/testing/iotop/APKBUILD
_at_@ -26,13 +26,13 @@ prepare() {
 }
 
 build() {
-	cd "$_builddir"
-	python setup.py build || return 1
+	python "$_builddir"/setup.py build || return 1
 }
 
 package() {
-	cd "$_builddir"
-	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+	python "$_builddir"/setup.py install \
+		--prefix=/usr --root="$pkgdir" || return 1
+	mv "$pkgdir"/usr/sbin "$pkgdir"/usr/bin || return 1
 }
 
 md5sums="5ef9456b26d7694abf3101a72e1e0d1d  iotop-0.6.tar.bz2"
-- 
2.5.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Sep 15 2015 - 16:01:38 GMT